AsterNet Class Library (Sandcastle documentation)

| ManagerAction ProxyKey Property

You can use this as a simple authentication mechanism.
Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed.
This is helpful in situations where you would like to authenticate and execute an action in a single step.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public virtual string ProxyKey { get; set; }

    Public Overridable Property ProxyKey As String
    	Get
    	Set

    public:
    virtual property String^ ProxyKey {
    	String^ get ();
    	void set (String^ value);
    }

    abstract ProxyKey : string with get, set
    override ProxyKey : string with get, set

#### Property Value

Type: String
See Also

#### Reference

ManagerAction Class
AsterNET.Manager.Action Namespace